// MSVC_Test_At3dx_Read_WriteDlg.h : header file
//

#pragma once


// CMSVC_Test_At3dx_Read_WriteDlg dialog
class CMSVC_Test_At3dx_Read_WriteDlg : public CDialog
{
// Construction
public:
	CMSVC_Test_At3dx_Read_WriteDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_MSVC_TEST_AT3DX_READ_WRITE_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

  char inName[MAX_PATH];
  int save2D_Flag;
  int saveUV_Flag;
  int saveQuads_Flag;
  int makeQuads_Flag;
  double angleBetweenNormals;
  double angleBetweenEdges;

  void Read_Write_3D_File(void);   

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
  BOOL m_Save2dLines;
  BOOL m_SaveUV;
  BOOL m_SaveQuads;
  BOOL m_MakeQuads;
  CString m_AngleBetweenNormals;
  CString m_AngleBetweenEdges;
  afx_msg void OnBnClicked_Save2dLines();
  afx_msg void OnBnClicked_SaveUV();
  afx_msg void OnBnClicked_SaveQuads();
  afx_msg void OnBnClicked_MakeQuads();
  afx_msg void OnBnClicked_ReadWriteFile();
};
